SIMECK64::Base Class Reference

SIMECK block cipher transformation functions. More...

Inheritance diagram for SIMECK64::Base:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< SIMECK64_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm. More...
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...

## Detailed Description

SIMECK block cipher transformation functions.

Provides implementation common to encryption and decryption

Since
  Crypto++ 8.0

Definition at line 115 of file simeck.h.

The documentation for this class was generated from the following files:

- simeck.h
- simeck.cpp